[misc]
frontend_url = "https://mmgr.delmar.bzh"
cors_urls = ["http://localhost:8000"]

image_directory = "/data/images"
tv_directory = "/data/tv-shows"
movie_directory = "/data/movies"
torrent_directory = "/data/downloads"

development = false

[[misc.tv_libraries]]
name = "Live Action"
path = "/data/tv-shows/live-action"

[[misc.movie_libraries]]
name = "Documentaires"
path = "/data/documentaries"

[database]
host = "db"
port = 5432
user = "admin"
password = "Y9iSk4iWWgfxACZK"
dbname = "MediaManager"

[auth]
email_password_resets = false

token_secret = "f1bbff315e6e3edabb2bbd2f582bf306f1a1c3c86ae1d07ebcabd2642012181d"
session_lifetime = 86400

admin_emails = ["admin@delmar.bzh"]

[auth.openid_connect]
enabled = false
client_id = ""
client_secret = ""
configuration_endpoint = "https://openid.example.com/.well-known/openid-configuration"
name = "OpenID"

[notifications]
[notifications.smtp_config]
smtp_host = "pro1.mail.ovh.net"
smtp_port = 587
smtp_user = "admin@delmar.bzh"
smtp_password = "sxS4GA8rBfmFkCFL"
from_email = "admin@delmar.bzh"
use_tls = true

[notifications.email_notifications]
enabled = true
emails = ["jme69@delmar.bzh"]

[notifications.gotify]
enabled = true
api_key = "A9JajRQpx9.eDsb"
url = "https://gotify.delmar.bzh"

[notifications.ntfy]
enabled = false
url = "https://ntfy.sh/your-topic"

[notifications.pushover]
enabled = false
api_key = ""
user = ""

[torrents]
[torrents.qbittorrent]
enabled = true
host = "http://gluetun"
port = 9080
username = "admin"
password = "sandstorm-outcast-treat"

[torrents.transmission]
enabled = false
username = "admin"
password = "admin"
https_enabled = true
host = "localhost"
port = 9091
path = "/transmission/rpc"

[torrents.sabnzbd]
enabled = true
host = "http://gluetun"
port = 8080
api_key = "7c5cda4f4a03436eaf32fc08adbf5475"
base_path = "/api"

[indexers]
[indexers.prowlarr]
enabled = true
url = "http://gluetun:9696"
api_key = "df1c727b1d6d4300859a6e725725f6d8"
timeout_seconds = 60

[indexers.jackett]
enabled = false
url = "http://localhost:9117"
api_key = ""
indexers = ["1337x", "torrentleech"]
timeout_seconds = 60

[[indexers.title_scoring_rules]]
name = "prefer_h265"
keywords = ["h265", "hevc", "x265", "h.265", "x.265"]
score_modifier = 100
negate = false

[[indexers.title_scoring_rules]]
name = "avoid_cam"
keywords = ["cam", "camrip", "bdscr", "ddc", "dvdscreener","dvdscr", "hdcam", "hdtc", "hdts", "scr", "screener","telesync", "ts", "webscreener", "tc", "telecine", "tvrip"]
score_modifier = -10000
negate = false

[[indexers.indexer_flag_scoring_rules]]
name = "prefer_freeleech"
flags = ["freeleech", "freeleech75"]
score_modifier = 100
negate = false

[[indexers.indexer_flag_scoring_rules]]
name = "reject_nuked"
flags = ["nuked"]
score_modifier = -10000
negate = false

[[indexers.scoring_rule_sets]]
name = "default"
libraries = ["ALL_TV", "ALL_MOVIES"]
rule_names = ["prefer_h265", "avoid_cam", "reject_nuked", "prefer_freeleech"]

[metadata]
[metadata.tmdb]
# tmdb_relay_url = "https://metadata-relay.dorninger.co/tmdb"
tmdb_relay_url = "http://metadata_relay:8000/tmdb"
primary_languages = ["fr", "en"]
default_language = "fr"

[metadata.tvdb]
# tvdb_relay_url = "https://metadata-relay.dorninger.co/tvdb"
tvdb_relay_url = "http://metadata_relay:8000/tvdb"
